/* MasterStyles */

html
{
  scroll-behavior: smooth;
  max-width: 100%;
  overflow-x: hidden;
}
body {
    font-family: "Lato", sans-serif;
    background-color: #9a9b9c;
    margin: 0px;
}

header {
    background-color: black;
}
nav {
    
    background-color: black;
    position: fixed; /* Set the navbar to fixed position */
    top: 0; /* Position the navbar at the top of the page */
    width: 100%; /* Full width */
    z-index: 20;
}

main {
    margin-top: 20px;
    margin-left: 10%;
    margin-right: 10%;
    
}

h1 {
    font-size: 2.5em;
    text-align: center;
    color: #903373;
}

h2 {
    font-size: 1.4em;
    text-align: left;
    color: #903373;
    margin:0px;
    padding: 10px;
}

p {
    text-align: justify;
    font-size: 1.2em;
    line-height: 1.5;
    color: #000000;
    margin: 0px;
    padding: 3px;
}

img {
    border-radius: 8px;
}
img.animated-gif{
  width: auto;
  height: auto;
}
.my-video-bg {
    margin-top: 80px;
    max-width: 100%;
    height: auto;
    background-color: rgb(0, 0, 0);
}


.container {
    display: grid;
    grid-template-columns: 1fr;
}
/*_________*/

/*NavBar Styles */
.nav-wrapper {
    display: flex;
    justify-content: space-between;
    padding: 10px;
   
}

.middle-side {
    display: flex;
    align-items: center;
    margin-left: auto;
    margin-right: auto;

}

.right-side{
    margin-left: auto;
    display: flex;
    align-items: center;
    margin-right:auto;
}
/* Style the video: 100% width and height to cover the entire window */
  
.nav-wrapper > .middle-side > div {
    margin-right: 50px;
    font-size:1.3em;
    text-transform: uppercase;
}

.nav-link-wrapper {
    height: 22px;
    border-bottom: 1px solid transparent;
    transition: border-bottom 0.5s;
    padding-bottom: 5px;
}

.nav-link-wrapper a {
    color: #8a8a8a;
    text-decoration: none;
    transition: color 0.5s;
    font-weight: bold;
}


.nav-link-wrapper:hover {
    border-bottom: 1px solid #903373;
    
}

.nav-link-wrapper a:hover {
    color: 	#903373;
}

.active-nav-link{
    padding-bottom: 5px;
    border-bottom: 0,1px solid 	#903373	!important;
}

.active-nav-link a{

    color: 	#903373	!important;

}
/*_________*/
/*All the other little things*/

#westdriveLogo{
    display: flex;
    max-height: 100%;
    fill: white;
    width: 25%;
    margin-right:0px;
  }

.floatingRight{
    float: right;
    max-width: 30%;
    max-height:30%;
    margin-left: 3%
}

.floatingLeft{
    float: left;
    max-width: 30%;
    max-height:30%;
    margin-right: 3%;
    margin-top: 2%;
}

.floatingCenter{
    float: center;
    max-width: 30%;
    max-height:30%;
    margin-right: 3%;
    margin-top: 2%;
}

.stayingLeft{
    text-align: left;
    max-width: 30%;
    max-height:30%;
    margin-right: 3%;
    margin-top: 2%;
}
.stayingRight{
    text-align: right;
    max-width: 30%;
    max-height:30%;
    margin-right: 3%;
    margin-top: 2%;
}
.stayingCenter{
    text-align: center;
    max-width: 30%;
    max-height:30%;
    margin-right: 3%;
    margin-top: 2%;
}


.videoRight{

    margin-right: 3%;
    margin-top: 2%;
    border:1px solid black; 
    text-align: right;
}

.videoLeft{

    margin-right: 3%;
    margin-top: 2%;
    border:1px solid black; 
    text-align: left;
}
.videoMiddle{

    margin-right: 3%;
    margin-top: 2%;
    border:1px solid black; 
    text-align: center;
}


.gitHubPic {
    width: 100px;
    height: 80px;
    display: block;
    margin-left: auto;
    margin-right: auto;
    
}
.grouppic{
    float: left;
    max-width:35%;
    max-height: 35%;
    margin-right: 3%;
}

#HeadingPic {
    max-width: 80%;
    margin-top: 45px;
}

.picture_div{
    text-align:center;
}
#überuns {

    display: relative;
}

#aktuelles {
    margin-top: 0%;
}


/*important for the navbar*/
.anchor{
    display: block; 
    height: 90px;/*same height as header*/
    margin-top: -90px; /*same height as header*/
    visibility: hidden;
}

#project {
   margin-top: 50px;
}

/* Styles Sponsor Pictures*/

#sponsor {
    max-height: 100px;
    max-width: 400px;
    margin: 60px 10px;
}

/* style for the links*/
.link {
    color: #903373;
    font-weight: bold;
}


 /* If you hover over an image that you can enlarge the cursor should change */

.floatingRight:hover {
    cursor: pointer;
}
.floatingLeft:hover {
    cursor: pointer;
}
.grouppic:hover {
    cursor:pointer;
}

.stayingLeft:hover {
    cursor: pointer;
}
.stayingRight:hover {
    cursor: pointer;
}
.stayingCenter:hover {
    cursor:pointer;
}
.floatingCenter:hover {
    cursor:pointer;
}
section {
  padding: 20px 0;
}
html, body {
  overflow-x: hidden;
}

.timeline {
  position: relative;
}
.timeline::before {
  content: '';
  background: #c5cae9;
  width: 5px;
  height: 95%;
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
}
.timeline-item {
  width: 100%;
  margin-bottom: 70px;
}
.timeline-item:nth-child(even) .timeline-content {
  float: right;
  padding: 40px 30px 10px 30px;
}
.timeline-item:nth-child(even) .timeline-content .date {
  right: auto;
  left: 0;
}
.timeline-item:nth-child(even) .timeline-content::after {
  content: '';
  position: absolute;
  border-style: solid;
  width: 0;
  height: 0;
  top: 30px;
  left: -15px;
  border-width: 10px 15px 10px 0;
  border-color: transparent #f5f5f5 transparent transparent;
}
.timeline-item::after {
  content: '';
  display: block;
  clear: both;
}
.timeline-content {
  position: relative;
  width: 45%;
  padding: 10px 30px;
  border-radius: 4px;
  background: #f5f5f5;
  box-shadow: 0 20px 25px -15px rgba(0, 0, 0, .3);
}
.timeline-content::after {
  content: '';
  position: absolute;
  border-style: solid;
  width: 0;
  height: 0;
  top: 30px;
  right: -15px;
  border-width: 10px 0 10px 15px;
  border-color: transparent transparent transparent #f5f5f5;
}
.timeline-img {
  width: 30px;
  height: 30px;
  background: #3f51b5;
  border-radius: 50%;
  position: absolute;
  left: 50%;
  margin-top: 25px;
  margin-left: -15px;
}


.timeline-card {
  padding: 0 !important;
}
.timeline-card p {
  padding: 0 20px;
}
.timeline-card a {
  margin-left: 0px;
}
.timeline-item .timeline-img-header {
  background: linear-gradient(rgba(0, 0, 0, 0), rgba(0, 0, 0, .4)), url(pictures/?random) center center no-repeat;
  background-size: cover;
}
.timeline-img-header {
  height: 200px;
  position: relative;
  margin-bottom: 20px;
}
.timeline-img-header h2 {
  color: #fff;
  position: absolute;
  bottom: 5px;
  left: 20px;
}
blockquote {
  margin-top: 30px;
  color: #757575;
  border-left-color: #3f51b5;
  padding: 0 20px;
}
.date {
  background: #ff4081;
  display: inline-block;
  color: #fff;
  padding: 10px;
  position: absolute;
  top: 0;
  right: 0;
}
@media screen and (max-width: 768px) {
  .timeline::before {
    left: 50px;
 }
  .timeline .timeline-img {
    left: 50px;
 }
  .timeline .timeline-content {
    max-width: 100%;
    width: auto;
    margin-left: 70px;
 }
  .timeline .timeline-item:nth-child(even) .timeline-content {
    float: none;
 }
  .timeline .timeline-item:nth-child(odd) .timeline-content::after {
    content: '';
    position: absolute;
    border-style: solid;
    width: 0;
    height: 0;
    top: 30px;
    left: -15px;
    border-width: 10px 15px 10px 0;
    border-color: transparent #f5f5f5 transparent transparent;
 }
}
